Subject: bug#58300: 29.0.50; (dired-get-marked-files t) over TRAMP

From: Michael Albinus <[email-masked]>
Date: Thu, 06 Oct 2022 22:25:34 +0200

Manuel Giraud <[email-masked]> writes:

> Hi,

Hi Manuel,

> From sometimes now™, when I'm in dired over TRAMP calling
> `(dired-get-marked-files t)' yield differents results depending on the
> file's directory.  If, I am on a file in my homedir I'll get:
>
> (/scp:host:/home/manuel/.emacs)
>
> But if, I am in any other dir (for instance in /etc) I'll get:
>
> (hosts)
>
> Is this expected?

No.

Since some months, Tramp supports file name abbreviation. The default
directory of your homedir is "/scp:host:~/", therefore.

dired-make-relative doesn't know this, it believes, abbreviated file
names start with the tilde in the first character of the file name.

I've fixed this in master. Could you, pls, check?

Best regards, Michael.